2 Replies Latest reply: Dec 2, 2012 9:29 AM by Tom Gewecke
crazyfelipe1 Level 1 Level 1 (0 points)

I remember at one time haveing iBooks on my ipod but i had no use for it at that time so i deleted it from both my computer and ipod and now i need it but i cant install it because its requires 5.0.1 and i want to know if there is a way for me to download the older version of it or is there another way for me to be able to save a pdf file on my ipod without iBooks


iPod touch, iOS 4.2